Subject: Re: Negotiated noncompliance

From: Charles Lindsey <[email-masked]>
Date: Wed, 23 Aug 2000 22:17:18 +0100 (BST)

On Wed, 23 Aug 2000 10:09:36 -0400
	Keith Moore <[email-masked]> said...

> 
> so here's another attempt at concrete wording

Yes, I think that is better, but a bit verbose.

....
> 
> An implementation which receives protocol which is not permitted
> by the specification SHOULD (if it is a client) abort the attempt
> to send the message and (if it is a server) reject the command
> with an appropriate status code (rather than assume that the
> non-complaint server will deliver the message).  However, it is 
> recognized that non-complaint implementations are sometimes 
> widely deployed, and that there is occasionally a compelling 
> operational need for a client or a server to cope with 
> non-complaint peers until such time as the peers can be fixed.  

That has got rid of that horrid term "negotiated noncompliance".
> 
> An SMTP implementation MAY be configurable to deviate from the 
> standard in order to meet operational requirements to cope with
> specific non-compliant behavior that is believed to be 
> well-understood, subject to the following constraints:

But I think the most important change you have made is that word "MAY".
Any solution to this problem needs to involve a "MAY"
   (a) because that makes its status absolutely clear
   (b) because "MAY" has a slightly discouraging feel to it - sort of
   "well some implementations may do it that way for whatever reason,
   but noway is it to be regarded as the normal thing, and 'proper'
   implementations probably won't".

Charles H. Lindsey ---------At Home, doing my own thing------------------------
Email:     [email-masked]  Web:   http://www.cs.man.ac.uk/~chl
Voice/Fax: +44 161 437 4506      Snail: 5 Clerewood Ave, CHEADLE, SK8 3JU, U.K.
PGP: 2C15F1A9     Fingerprint: 73 6D C2 51 93 A0 01 E7  65 E8 64 7E 14 A4 AB A5

---

From: Harald Alvestrand <[email-masked]>
Date: Tue, 29 Aug 2000 09:08:46 +0200

>    implementations probably won't".

Someone once reminded me that in the standards sense, MAY and MAY NOT are 
actually synonyms....

--
Harald Tveit Alvestrand, [email-masked]
+47 41 44 29 94
Personal email: [email-masked]